<?php

namespace App\ModelFilters;

use EloquentFilter\ModelFilter;

class SystemOperationLogFilter extends ModelFilter
{
    /**
    * Related Models that have ModelFilters as well as the method on the ModelFilter
    * As [relationMethod => [input_key1, input_key2]].
    *
    * @var array
    */
    public $relations = [];

    public function ip($ip)
    {
        return $this->where("ip", $ip);
    }

    public function startRequestAt($datetime)
    {
        return $this->where("request_at", ">=", $datetime);
    }

    public function endRequestAt($datetime)
    {
        return $this->where("request_at", "<", $datetime);
    }
}
