<?php

namespace App\Models;

use App\Models\Enums\FileObjectType;
use EloquentFilter\Filterable;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\HasOne;

class Action extends Model
{
    use HasFactory, Filterable;

    protected $guarded = ['id'];

    protected $casts = [
        'extra_fields' => 'array',
    ];

    public function createdBy(): \Illuminate\Database\Eloquent\Relations\BelongsTo
    {
        return $this->belongsTo(User::class, "created_by");
    }

    public function histories()
    {
        return $this->hasMany(History::class);
    }

    public function file(): HasOne
    {
        return $this->hasOne(File::class, "object_id")->where("object_type", FileObjectType::ACTION);
    }
}
