<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('bim_files', function (Blueprint $table) {
            $table->string("model_type")->after("bim_driver")->comment('cad gis bim');
            $table->json("extra")->after("source_status")->comment('其他模型信息');
            $table->string("preview_path")->default('')->after("source_status")->comment('预览图路径');
        });
        Schema::table('containers', function (Blueprint $table) {
            $table->string("type")->after("name")->comment('容器类型');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('bim_files', function (Blueprint $table) {
            $table->dropColumn("model_type");
            $table->dropColumn("extra");
            $table->dropColumn("preview_path");
        });
        Schema::table('containers', function (Blueprint $table) {
            $table->dropColumn("type");
        });
    }
};
